Subject: Re: [regext] Roman Danyliw's Discuss on draft-ietf-regext-epp-fees-18: (with DISCUSS and COMMENT)

From: Roger D Carney <[email-masked]>
Date: Tue, 1 Oct 2019 14:42:27 +0000

Good Morning,

Thanks for your comments Roman, please see my responses below, a new revision will be published shortly to address issues brought up in this latest round of comments.

Thanks

Roger

-----Original Message-----
From: Roman Danyliw via Datatracker <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, September 18, 2019 8:10 PM
To: The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; James Gould <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Roman Danyliw's Discuss on draft-ietf-regext-epp-fees-18: (with DISCUSS and COMMENT)

Notice: This email is from an external sender.

Roman Danyliw has entered the following ballot position for

draft-ietf-regext-epp-fees-18: Discuss

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html

for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:

https://datatracker.ietf.org/doc/draft-ietf-regext-epp-fees/

----------------------------------------------------------------------

DISCUSS:

----------------------------------------------------------------------

** There a few easy clarifications that need to be regarding the cardinality of

attributes: -- Section 3.1.  Is the use of command@name optional?  The schema suggests that it is and the text in this section doesn’t making any claims.  If blank, how should such a command be processed?

[RDC] Schema will be updated to require.

-- Section 3.1.  If command@name=”custom”, MUST   command@customName be

present?  If not, what are the processing instructions to a recipient?

[RDC] Bullet will be updated: ““custom” indicating a custom command that MUST set the “customName” attribute with custom command name.  The possible set of custom command name values is up to server policy.”

-- Section 3.1 and 3.8.  Can a client send a command@subphase attribute without a command@phase?  The schema suggests this is possible and clarifying text provide no guidance.  It seems like this should be an error.

[RDC] This is documented in section 3.8 paragraph 8.

-- Section 3.4.  Can a fee@lang be present without fee@description?  The schema suggests it can but the text provides no direction.  If this is possible, what should implementers do with a @lang without a @description?

[RDC] Section will be update to add: “If the “description” attribute is not present, the “lang” attribute can be ignored.”

** Section 6.1.  This section needs a normative reference to W3C Schema as the format of the blob between the BEGIN and END tags.

[RDC] I have not seen this in any EPP RFC, what reference is needed?

----------------------------------------------------------------------

COMMENT:

----------------------------------------------------------------------

** Section 3.4 and 3.9  Per fee@lang and reason@lang, the text don’t explicitly describe how to specify a language.  It must be inferred from the schema.

[RDC] Section 3.9 will be updated: “An OPTIONAL “lang” attribute MAY be present to identify the language, per the language structure in [RFC5646], of the returned returned text and has a default value of “en” (English).”

** Section 3.4.2.  The format of the grace period is not described in the text.

It must be inferred from the schema.

[RDC] In addition to the schema, the examples show this use.

** Section 4.  Mixing the schema Boolean notation between false being “0” or “false” is confusing.  In one paragraph, “The server MUST return avail=’0’” but in another “the server MUST set the ‘avail’ attribute … to false”

[RDC] Section (document) will be updated to define more consistently: “false values as false (0) and true values as true (1)”

---

From: Roman Danyliw <[email-masked]>
Date: Tue, 15 Oct 2019 22:15:18 +0000

Hello Roger!

From: iesg [mailto:[email-masked]] On Behalf Of Roger D Carney
Sent: Tuesday, October 1, 2019 10:42 AM
To: The IESG <[email-masked]>; [email-masked]
Subject: RE: Roman Danyliw's Discuss on draft-ietf-regext-epp-fees-18: (with DISCUSS and COMMENT)

Good Morning,

Thanks

Roger

-----Original Message-----
From: Roman Danyliw via Datatracker <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, September 18, 2019 8:10 PM
To: The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; James Gould <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Roman Danyliw's Discuss on draft-ietf-regext-epp-fees-18: (with DISCUSS and COMMENT)

DISCUSS:

[Roman] -19 addresses all of these points.  Thank you.

[Roman] I can’t explain why EPP didn’t make a normative reference to cite XML Schema.  I would recommend adding:

             Thompson, H., Beech, D., Maloney, M., and N. Mendelsohn,

              "XML Schema Part 1: Structures Second Edition", W3C

              Recommendation REC-xmlschema-1-20041028, October 2004,

              <http://www.w3.org/TR/xmlschema-1/>.

COMMENT:

Regards,

Roman

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 16 Oct 2019 11:09:54 +0000

From: regext <[email-masked]> On Behalf Of Roman Danyliw
Sent: Tuesday, October 15, 2019 6:15 PM
To: Roger D Carney <[email-masked]>; The IESG <[email-masked]>; [email-masked]
Subject: [EXTERNAL] Re: [regext] Roman Danyliw's Discuss on draft-ietf-regext-epp-fees-18: (with DISCUSS and COMMENT)

Hello Roger!

From: iesg [mailto:[email-masked]] On Behalf Of Roger D Carney
Sent: Tuesday, October 1, 2019 10:42 AM
To: The IESG <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: Roman Danyliw's Discuss on draft-ietf-regext-epp-fees-18: (with DISCUSS and COMMENT)

[snip]

[SAH] The core EPP RFCs *DO* cite the W3C XML Schema Recommendations as normative references. Here’s what’s in RFC 5730:

   [W3C.REC-xmlschema-1-20041028]

              Maloney, M., Thompson, H., Mendelsohn, N., and D. Beech,

              "XML Schema Part 1: Structures Second Edition", World Wide

              Web Consortium Recommendation REC-xmlschema-1-20041028,

              October 2004,

              <http://www.w3.org/TR/2004/REC-xmlschema-1-20041028>.

   [W3C.REC-xmlschema-2-20041028]

              Malhotra, A. and P. Biron, "XML Schema Part 2: Datatypes

              Second Edition", World Wide Web Consortium

              Recommendation REC-xmlschema-2-20041028, October 2004,

              <http://www.w3.org/TR/2004/REC-xmlschema-2-20041028>.

Scott

---

From: Roger D Carney <[email-masked]>
Date: Wed, 16 Oct 2019 11:50:30 +0000

Good Morning,

Thanks to both of you!!

Revision 20 coming with updated references.

Thanks
Roger

From: Hollenbeck, Scott <[email-masked]>
Sent: Wednesday, October 16, 2019 6:10 AM
To: [email-masked]; Roger D Carney <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: Roman Danyliw's Discuss on draft-ietf-regext-epp-fees-18: (with DISCUSS and COMMENT)

From: regext <[email-masked]<mailto:[email-masked]>> On Behalf Of Roman Danyliw
Sent: Tuesday, October 15, 2019 6:15 PM
To: Roger D Carney <[email-masked]<mailto:[email-masked]>>; The IESG <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: [EXTERNAL] Re: [regext] Roman Danyliw's Discuss on draft-ietf-regext-epp-fees-18: (with DISCUSS and COMMENT)

Hello Roger!

[snip]

              October 2004,

Scott